
QGIS Application - Bug report #10767

Simplified rendering causing boxes to appear instead

2014-07-01 06:23 AM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee: Alvaro Huarte

Category: Simplification

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19149

Description

When using simplified rendering on a layer, I frequently get what seems like a bounding box instead of the correct underlying geometry.

I have created a data set with two polygons. When viewing at zoom level 1:5,000 the geometry looks okay, at 1:10,000 it shows boxes

instead.

History

#1 - 2014-07-01 08:13 AM - Giovanni Manghi

- Category set to Simplification

- OS version deleted (7 64bit)

- Operating System deleted (windows)

- Target version set to Future Release - High Priority

- Assignee set to Alvaro Huarte

confirmed also here on Linux with the lowest value for simplification.

#2 - 2014-07-16 04:53 PM - Alvaro Huarte

- Pull Request or Patch supplied changed from No to Yes

Hi, the PR ( https://github.com/qgis/QGIS/pull/1509 ) fixes this bug.

Best Regards

#3 - 2014-09-13 04:53 AM - Martin Dobias

Hmm... I have just tested with latest master and I cannot replicate the problem anymore (with the given shapefile). What about others - do you still see the

problem?

#4 - 2014-09-14 01:41 AM - Alvaro Huarte

- File Issue10767_beforePatch.JPG added

Hi Martin, the problem is there. The simplification logic has not changed from this PR was implemented.
https://github.com/qgis/QGIS/pull/1509


The image shows the map with the geometries as lines when the geometries would be painted as boxes.

Best regards,

Alvaro

#5 - 2014-09-29 09:12 AM - Alvaro Huarte

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:

#eaacb125c402cf22dd66482b313bdaef73791fea

Files

test.shx 116 Bytes 2014-07-01 Casper Børgesen

zoom_1_5000.JPG 13.1 KB 2014-07-01 Casper Børgesen

zoom_1_10000.JPG 9.29 KB 2014-07-01 Casper Børgesen

test.dbf 87 Bytes 2014-07-01 Casper Børgesen

test.prj 388 Bytes 2014-07-01 Casper Børgesen

test.shp 1.3 KB 2014-07-01 Casper Børgesen

Issue10767_beforePatch.JPG 65.1 KB 2014-09-13 Alvaro Huarte
